com.ihr.xbrl.mapper.instance

## Class MapperContext2

- java.lang.Object
- - com.ihr.xbrl.om.XMLFragment
  - - com.ihr.xbrl.mapper.instance.MapperContextBase
    - - com.ihr.xbrl.mapper.instance.MapperContext2

- All Implemented Interfaces:
    HasAdditionalEqualityForReassignation, MapperContext, XBRLRelationshipPoint, Thinable, XMLHasParent, java.lang.Cloneable, javax.xml.namespace.NamespaceContext

      public class MapperContext2
      extends MapperContextBase

  This class represents a context in the mapper. Mapper contexts are a bit more flexible than XBRL contexts but maintain a similar structure.

  Mapper contexts allows special tokens in the context period elements in order to be substituted by dynamic content later.

  Author:
    Ignacio

- - ### Field Summary

    - ### Fields inherited from class com.ihr.xbrl.mapper.instance.MapperContextBase

      `contextNode`

    - ### Fields inherited from class com.ihr.xbrl.om.XMLFragment

      `CONCEPT_LABEL, CONCEPT_QNAME, EASY_TO_READ, ELEMENT_LABEL, EMPTYRELATIONSHIPSITERATORINSTANCE, EMPTYXMLFRAGMENTITERATORINSTANCE, FACT_CONCEPT_DATATYPE, FACT_CONCEPT_LABEL, FACT_QNAME, HIDE_COMMON_ACCURACY, idQName, NO_POSITION, OrderComparator, OrderComparator2, PERIOD_TYPE, PERIOD_VALUE, SHORT_TEXT, SOURCE_DOCUMENT, XPATH, XPOINTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapperContext2(DTSContainer dts, MapperBase parent, net.sf.saxon.s9api.XdmNode node)` Instantiates a new mapper context2.
    `MapperContext2(MapperContext2 other)` Creates a new context as a copy or clone of the context supplied as a parameter The new context will have null as parent instance.
    `MapperContext2(XBRLContext ctx, MapperBase parent)` Creates a new MapperContext from the content of an XBRLContext.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MapperContext2` | `clone()` Clone.

    - ### Methods inherited from class com.ihr.xbrl.mapper.instance.MapperContextBase

      `equals, fixUpSegmentAndScenario, generateNode, getEntity, getMapper, getPeriod, getScenario, getXBRLContext, hashCode, setPeriod, setScenario`

    - ### Methods inherited from class com.ihr.xbrl.om.XMLFragment

      `addAttribute, addChild, addFromRelationship, addNamespace, addNamespace, addToRelationship, addXMLChild, changeBase, checkBase, clear, clone, delAttribute, delAttribute, equalXdmValues, evaluateBoolean, evaluateList, evaluateNode, evaluateNumber, evaluateString, generateId, generateNodeNamespacesAndAttributes, generateNodeValue, generatePrefix, getAllAttributes, getAttribute, getAttributeBooleanValue, getAttributeQNameValue, getAttributes, getAttributes, getAttributeStringValue, getAttributeValue, getBase, getBase, getBaseURI, getBooleanValue, getChild, getContainer, getContainerDocumentURI, getDeclaredNamespaces, getDocument, getElements, getElementsHashCode, getFragment, getFriendlyName, getFriendlyName, getFromRelationships, getFromRelationships, getFromRelationships, getFromRelationships, getFromRelationships, getGenericLabelText, getId, getLang, getNamespaceURI, getNodeName, getNumberOfAttributes, getNumberOfElements, getNumberOfFromRelationships, getNumberOfToRelationships, getOrGenerateId, getParent, getPrefix, getPrefixes, getQNameValue, getRelationshipsBases, getRelationshipsChain, getRelationshipTypes, getStaticContext, getStaticNamespace, getStringValue, getToolTipText, getToRelationships, getToRelationships, getToRelationships, getToRelationships, getToRelationships, getValue, getXPathExecutable, getXPathNamespaceContext, getXPathToNode, getXPathToRoot, getXPointerElementScheme, getXPointerElementScheme, getXPointerShorthandScheme, getXPointerToNode, isDead, isNamespaceDefined, isXdmDocumentAttached, objEquals, objHashCode, qNameToString, removeAttribute, removeChild, removeChild, removeFromRelationship, removeToRelationship, removeXMLChild, resetElements, resetHash, resolve_equal2, resolveHRef, resolveHRef, s_equal2, s_equal2, s_equal2, setAttributes, setBase, setDocument, setDocumentAndReload, setElements, setId, setLang, setNamespaceContext, setNamespaces, setNode, setNodeName, setParent, setRegenerateNodeIfnotFound, setValue, setValue, setVariablesDefined, size, thin, toString, valueEquals, xEqual`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.ihr.xbrl.mapper.instance.MapperContext

      `getContainer, getId, getOrGenerateId, setId`

- - ### Constructor Detail

    - #### MapperContext2

          public MapperContext2(XBRLContext ctx,
                        MapperBase parent)

      Creates a new MapperContext from the content of an XBRLContext.
      Parameters:
        `ctx` - the ctx
        `parent` - the parent

    - #### MapperContext2

          public MapperContext2(DTSContainer dts,
                        MapperBase parent,
                        net.sf.saxon.s9api.XdmNode node)

      Instantiates a new mapper context2.
      Parameters:
        `dts` - the DTS
        `parent` - the parent mapper
        `node` - the source node

    - #### MapperContext2

          public MapperContext2(MapperContext2 other)

      Creates a new context as a copy or clone of the context supplied as a parameter The new context will have null as parent instance.
      Parameters:
        `other` - the context to clone

  - ### Method Detail

    - #### clone

          public MapperContext2 clone()

      Description copied from interface: `MapperContext`
      Clone.
      Specified by:
        `clone` in interface `MapperContext`
      Specified by:
        `clone` in class `MapperContextBase`
      Returns:
        the mapper context